Index: trunk/doc/Flair/search/all_0.js
===================================================================
--- trunk/doc/Flair/search/all_0.js	(revision 31)
+++ trunk/doc/Flair/search/all_0.js	(revision 32)
@@ -321,4 +321,5 @@
   ['alternatetext',['alternateText',['http://qt-project.org/doc/qt-4.8/qwebhittestresult.html#alternateText',0,'QWebHitTestResult']]],
   ['alternatingrowcolors',['alternatingRowColors',['http://qt-project.org/doc/qt-4.8/qabstractitemview.html#alternatingRowColors-prop',0,'QAbstractItemView::alternatingRowColors()'],['http://qt-project.org/doc/qt-4.8/qabstractitemview.html#alternatingRowColors-prop',0,'QAbstractItemView::alternatingRowColors() const']]],
+  ['altitude',['Altitude',['../classflair_1_1core_1_1_gps_data.html#ae2cac37d2ddaea43014053c88790a33dac812e65c046d531140f0a42837f48e87',1,'flair::core::GpsData']]],
   ['amplitude',['amplitude',['http://qt-project.org/doc/qt-4.8/qeasingcurve.html#amplitude',0,'QEasingCurve']]],
   ['amtext',['amText',['http://qt-project.org/doc/qt-4.8/qlocale.html#amText',0,'QLocale']]],
@@ -446,6 +447,6 @@
   ['attachment',['attachment',['http://qt-project.org/doc/qt-4.8/qglframebufferobject.html#attachment',0,'QGLFramebufferObject::attachment()'],['http://qt-project.org/doc/qt-4.8/qglframebufferobjectformat.html#attachment',0,'QGLFramebufferObjectFormat::attachment()']]],
   ['attachto',['attachTo',['http://qt-project.org/doc/qt-4.8/qscriptenginedebugger.html#attachTo',0,'QScriptEngineDebugger']]],
+  ['attribute',['attribute',['http://qt-project.org/doc/qt-4.8/qabstractxmlreceiver.html#attribute',0,'QAbstractXmlReceiver::attribute()'],['http://qt-project.org/doc/qt-4.8/qwebelement.html#attribute',0,'QWebElement::attribute()'],['http://qt-project.org/doc/qt-4.8/qdomelement.html#attribute',0,'QDomElement::attribute()'],['http://qt-project.org/doc/qt-4.8/qxmlformatter.html#attribute',0,'QXmlFormatter::attribute()'],['http://qt-project.org/doc/qt-4.8/qnetworkrequest.html#attribute',0,'QNetworkRequest::attribute()'],['http://qt-project.org/doc/qt-4.8/qxmlserializer.html#attribute',0,'QXmlSerializer::attribute()'],['http://qt-project.org/doc/qt-4.8/qnetworkreply.html#attribute',0,'QNetworkReply::attribute()'],['http://qt-project.org/doc/qt-4.8/qinputmethodevent-attribute.html#Attribute',0,'QInputMethodEvent::Attribute::Attribute()']]],
   ['attribute',['Attribute',['http://qt-project.org/doc/qt-4.8/qinputmethodevent-attribute.html',0,'QInputMethodEvent']]],
-  ['attribute',['attribute',['http://qt-project.org/doc/qt-4.8/qabstractxmlreceiver.html#attribute',0,'QAbstractXmlReceiver::attribute()'],['http://qt-project.org/doc/qt-4.8/qwebelement.html#attribute',0,'QWebElement::attribute()'],['http://qt-project.org/doc/qt-4.8/qdomelement.html#attribute',0,'QDomElement::attribute()'],['http://qt-project.org/doc/qt-4.8/qxmlformatter.html#attribute',0,'QXmlFormatter::attribute()'],['http://qt-project.org/doc/qt-4.8/qnetworkrequest.html#attribute',0,'QNetworkRequest::attribute()'],['http://qt-project.org/doc/qt-4.8/qxmlserializer.html#attribute',0,'QXmlSerializer::attribute()'],['http://qt-project.org/doc/qt-4.8/qnetworkreply.html#attribute',0,'QNetworkReply::attribute()'],['http://qt-project.org/doc/qt-4.8/qinputmethodevent-attribute.html#Attribute',0,'QInputMethodEvent::Attribute::Attribute()']]],
   ['attributedecl',['attributeDecl',['http://qt-project.org/doc/qt-4.8/qxmldeclhandler.html#attributeDecl',0,'QXmlDeclHandler::attributeDecl()'],['http://qt-project.org/doc/qt-4.8/qxmldefaulthandler.html#attributeDecl',0,'QXmlDefaultHandler::attributeDecl()']]],
   ['attributelocation',['attributeLocation',['http://qt-project.org/doc/qt-4.8/qglshaderprogram.html#attributeLocation',0,'QGLShaderProgram::attributeLocation(const char *name) const'],['http://qt-project.org/doc/qt-4.8/qglshaderprogram.html#attributeLocation-2',0,'QGLShaderProgram::attributeLocation(const QByteArray &amp;name) const'],['http://qt-project.org/doc/qt-4.8/qglshaderprogram.html#attributeLocation-3',0,'QGLShaderProgram::attributeLocation(const QString &amp;name) const']]],
Index: trunk/doc/Flair/search/all_18.js
===================================================================
--- trunk/doc/Flair/search/all_18.js	(revision 31)
+++ trunk/doc/Flair/search/all_18.js	(revision 32)
@@ -4,5 +4,5 @@
   ['y1',['y1',['http://qt-project.org/doc/qt-4.8/qline.html#y1',0,'QLine::y1()'],['http://qt-project.org/doc/qt-4.8/qlinef.html#y1',0,'QLineF::y1()']]],
   ['y2',['y2',['http://qt-project.org/doc/qt-4.8/qline.html#y2',0,'QLine::y2()'],['http://qt-project.org/doc/qt-4.8/qlinef.html#y2',0,'QLineF::y2()']]],
-  ['yaw',['yaw',['../classflair_1_1core_1_1_euler.html#a27ddef192f8f4c5444ba5fdf63cc0668',1,'flair::core::Euler::yaw()'],['../classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfeaacc98a52fd3a118df2369ceacfe42e80',1,'flair::core::AhrsData::Yaw()']]],
+  ['yaw',['Yaw',['../classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfeaacc98a52fd3a118df2369ceacfe42e80',1,'flair::core::AhrsData::Yaw()'],['../classflair_1_1core_1_1_euler.html#a27ddef192f8f4c5444ba5fdf63cc0668',1,'flair::core::Euler::yaw()']]],
   ['yawdeg',['YawDeg',['../classflair_1_1core_1_1_ahrs_data.html#a543cdebeff537350a819b07a4a55cdfea36d7aef4c89906df6c51376607cb3d26',1,'flair::core::AhrsData']]],
   ['yawdistancefrom',['YawDistanceFrom',['../classflair_1_1core_1_1_euler.html#aefee0889a00c65883b6aeb3b3a7b352d',1,'flair::core::Euler']]],
Index: trunk/doc/Flair/search/all_1a.js
===================================================================
--- trunk/doc/Flair/search/all_1a.js	(revision 31)
+++ trunk/doc/Flair/search/all_1a.js	(revision 32)
@@ -30,5 +30,4 @@
   ['_7eframeworkmanager',['~FrameworkManager',['../classflair_1_1core_1_1_framework_manager.html#aa97c7fbaba572aa856d23c416f3b74e4',1,'flair::core::FrameworkManager']]],
   ['_7egeocoordinate',['~GeoCoordinate',['../classflair_1_1core_1_1_geo_coordinate.html#a2bb9ea66ede832b59e484ed4d3810770',1,'flair::core::GeoCoordinate']]],
-  ['_7egps',['~Gps',['../classflair_1_1sensor_1_1_gps.html#a7d75b9b8ffeafd9d5062806e598398bd',1,'flair::sensor::Gps']]],
   ['_7egpsdata',['~GpsData',['../classflair_1_1core_1_1_gps_data.html#a40703fd28dd1b6053df7292c222de5c8',1,'flair::core::GpsData']]],
   ['_7egridlayout',['~GridLayout',['../classflair_1_1gui_1_1_grid_layout.html#a688ff9f536c2c9e12f7ef845d176caa3',1,'flair::gui::GridLayout']]],
@@ -58,4 +57,5 @@
   ['_7emutex',['~Mutex',['../classflair_1_1core_1_1_mutex.html#ac8256454205d5146d1fe95b7538b25eb',1,'flair::core::Mutex']]],
   ['_7enestedsat',['~NestedSat',['../classflair_1_1filter_1_1_nested_sat.html#a899e174f442b871ecf4000f720fb11e9',1,'flair::filter::NestedSat']]],
+  ['_7enmeagps',['~NmeaGps',['../classflair_1_1sensor_1_1_nmea_gps.html#a6102de13ed1ba414bf058235416580e9',1,'flair::sensor::NmeaGps']]],
   ['_7enovatel',['~Novatel',['../classflair_1_1sensor_1_1_novatel.html#a9d6046e078858c12e281cea2ad8a737a',1,'flair::sensor::Novatel']]],
   ['_7eobject',['~Object',['../classflair_1_1core_1_1_object.html#aa2bde0e6677bbef705c96c93cb06ad09',1,'flair::core::Object']]],
Index: trunk/doc/Flair/search/all_3.js
===================================================================
--- trunk/doc/Flair/search/all_3.js	(revision 31)
+++ trunk/doc/Flair/search/all_3.js	(revision 32)
@@ -18,6 +18,6 @@
   ['dataplot',['DataPlot',['../classflair_1_1gui_1_1_data_plot.html#aedc7eac059c79fd149534b16079dd24b',1,'flair::gui::DataPlot']]],
   ['dataplot_2eh',['DataPlot.h',['../_data_plot_8h.html',1,'']]],
+  ['dataplot1d',['DataPlot1D',['../classflair_1_1gui_1_1_data_plot1_d.html',1,'flair::gui']]],
   ['dataplot1d',['DataPlot1D',['../classflair_1_1gui_1_1_data_plot1_d.html#a75fdd0a5c2506ab59de05a7a7de1b10d',1,'flair::gui::DataPlot1D']]],
-  ['dataplot1d',['DataPlot1D',['../classflair_1_1gui_1_1_data_plot1_d.html',1,'flair::gui']]],
   ['dataplot1d_2eh',['DataPlot1D.h',['../_data_plot1_d_8h.html',1,'']]],
   ['dataplot2d',['DataPlot2D',['../classflair_1_1gui_1_1_data_plot2_d.html',1,'flair::gui']]],
@@ -145,5 +145,5 @@
   ['devicetype',['deviceType',['http://qt-project.org/doc/qt-4.8/qtouchevent.html#deviceType',0,'QTouchEvent']]],
   ['devicewidth',['deviceWidth',['http://qt-project.org/doc/qt-4.8/qscreen.html#deviceWidth',0,'QScreen']]],
-  ['dgps',['DGps',['../classflair_1_1sensor_1_1_gps.html#a3369bac80ec5316e09a3de7e5ba03c26aee015802cac7ac6094dc62db8b8a2f51',1,'flair::sensor::Gps']]],
+  ['dgps',['DGps',['../classflair_1_1core_1_1_gps_data.html#afb181594acc39c15c07e5ed5801021b6aee015802cac7ac6094dc62db8b8a2f51',1,'flair::core::GpsData']]],
   ['dialmoved',['dialMoved',['http://qt-project.org/doc/qt-4.8/qdial-qt3.html#dialMoved',0,'QDial']]],
   ['dialpressed',['dialPressed',['http://qt-project.org/doc/qt-4.8/qdial-qt3.html#dialPressed',0,'QDial']]],
@@ -247,4 +247,5 @@
   ['doublespinbox',['DoubleSpinBox',['../classflair_1_1gui_1_1_double_spin_box.html#a536c4558eed32cb0eadc242abbf49edf',1,'flair::gui::DoubleSpinBox::DoubleSpinBox(const LayoutPosition *position, std::string name, double min, double max, double step, int decimals=2, double default_value=0)'],['../classflair_1_1gui_1_1_double_spin_box.html#af230dc5ec16da53c1fa43e15c01bf577',1,'flair::gui::DoubleSpinBox::DoubleSpinBox(const LayoutPosition *position, std::string name, std::string suffix, double min, double max, double step, int decimals=2, double default_value=0)']]],
   ['doublespinbox_2eh',['DoubleSpinBox.h',['../_double_spin_box_8h.html',1,'']]],
+  ['doubletype',['DoubleType',['../classflair_1_1core_1_1_double_type.html',1,'flair::core']]],
   ['doublevalue',['doubleValue',['http://qt-project.org/doc/qt-4.8/qinputdialog.html#doubleValue-prop',0,'QInputDialog::doubleValue()'],['http://qt-project.org/doc/qt-4.8/qinputdialog.html#doubleValue-prop',0,'QInputDialog::doubleValue() const']]],
   ['doublevaluechanged',['doubleValueChanged',['http://qt-project.org/doc/qt-4.8/qinputdialog.html#doubleValueChanged',0,'QInputDialog']]],
Index: trunk/doc/Flair/search/all_b.js
===================================================================
--- trunk/doc/Flair/search/all_b.js	(revision 31)
+++ trunk/doc/Flair/search/all_b.js	(revision 32)
@@ -45,4 +45,5 @@
   ['lastwindowclosed',['lastWindowClosed',['http://qt-project.org/doc/qt-4.8/qapplication.html#lastWindowClosed',0,'QApplication']]],
   ['latin1',['latin1',['http://qt-project.org/doc/qt-4.8/qstring-qt3.html#latin1',0,'QString::latin1()'],['http://qt-project.org/doc/qt-4.8/qlatin1string.html#latin1',0,'QLatin1String::latin1()'],['http://qt-project.org/doc/qt-4.8/qchar-qt3.html#latin1',0,'QChar::latin1()']]],
+  ['latitude',['Latitude',['../classflair_1_1core_1_1_gps_data.html#ae2cac37d2ddaea43014053c88790a33dab0fbebcc090dfa8235309896b5d50a29',1,'flair::core::GpsData']]],
   ['launch',['launch',['http://qt-project.org/doc/qt-4.8/q3process.html#launch-2',0,'Q3Process::launch(const QString &amp;buf, QStringList *env)'],['http://qt-project.org/doc/qt-4.8/q3process.html#launch',0,'Q3Process::launch(const QByteArray &amp;buf, QStringList *env)']]],
   ['launchfinished',['launchFinished',['http://qt-project.org/doc/qt-4.8/q3process.html#launchFinished',0,'Q3Process']]],
@@ -185,4 +186,5 @@
   ['login',['login',['http://qt-project.org/doc/qt-4.8/q3ftp.html#login',0,'Q3Ftp::login()'],['http://qt-project.org/doc/qt-4.8/qftp.html#login',0,'QFtp::login()']]],
   ['longdayname',['longDayName',['http://qt-project.org/doc/qt-4.8/qdate.html#longDayName',0,'QDate::longDayName(int weekday)'],['http://qt-project.org/doc/qt-4.8/qdate.html#longDayName-2',0,'QDate::longDayName(int weekday, MonthNameType type)']]],
+  ['longitude',['Longitude',['../classflair_1_1core_1_1_gps_data.html#ae2cac37d2ddaea43014053c88790a33da05ebdfdb1cb83d2cf0dda4d32697f89c',1,'flair::core::GpsData']]],
   ['longmonthname',['longMonthName',['http://qt-project.org/doc/qt-4.8/qdate.html#longMonthName',0,'QDate::longMonthName(int month)'],['http://qt-project.org/doc/qt-4.8/qdate.html#longMonthName-2',0,'QDate::longMonthName(int month, MonthNameType type)']]],
   ['lookat',['lookAt',['http://qt-project.org/doc/qt-4.8/qmatrix4x4.html#lookAt',0,'QMatrix4x4']]],
@@ -196,6 +198,6 @@
   ['lower',['lower',['http://qt-project.org/doc/qt-4.8/qdirectpainter.html#lower',0,'QDirectPainter::lower()'],['http://qt-project.org/doc/qt-4.8/qwidget.html#lower',0,'QWidget::lower()'],['http://qt-project.org/doc/qt-4.8/qstring-qt3.html#lower',0,'QString::lower()'],['http://qt-project.org/doc/qt-4.8/qbytearray-qt3.html#lower',0,'QByteArray::lower()'],['http://qt-project.org/doc/qt-4.8/q3cstring.html#lower',0,'Q3CString::lower()'],['http://qt-project.org/doc/qt-4.8/qchar-qt3.html#lower',0,'QChar::lower()']]],
   ['lowerbound',['lowerBound',['http://qt-project.org/doc/qt-4.8/qmap.html#lowerBound',0,'QMap::lowerBound(const Key &amp;key)'],['http://qt-project.org/doc/qt-4.8/qmap.html#lowerBound-2',0,'QMap::lowerBound(const Key &amp;key) const']]],
+  ['lowpassfilter',['LowPassFilter',['../classflair_1_1filter_1_1_low_pass_filter.html',1,'flair::filter']]],
   ['lowpassfilter',['LowPassFilter',['../classflair_1_1filter_1_1_low_pass_filter.html#aa909a8374e5f75797b020305ef1e888e',1,'flair::filter::LowPassFilter']]],
-  ['lowpassfilter',['LowPassFilter',['../classflair_1_1filter_1_1_low_pass_filter.html',1,'flair::filter']]],
   ['lowpassfilter_2eh',['LowPassFilter.h',['../_low_pass_filter_8h.html',1,'']]],
   ['lowsurrogate',['lowSurrogate',['http://qt-project.org/doc/qt-4.8/qchar.html#lowSurrogate',0,'QChar']]]
Index: trunk/doc/Flair/search/all_d.js
===================================================================
--- trunk/doc/Flair/search/all_d.js	(revision 31)
+++ trunk/doc/Flair/search/all_d.js	(revision 32)
@@ -31,5 +31,4 @@
   ['navigationbarvisible',['navigationBarVisible',['http://qt-project.org/doc/qt-4.8/qcalendarwidget.html#navigationBarVisible-prop',0,'QCalendarWidget']]],
   ['navigationmode',['navigationMode',['http://qt-project.org/doc/qt-4.8/qapplication.html#navigationMode',0,'QApplication']]],
-  ['nbsat',['NbSat',['../classflair_1_1sensor_1_1_gps.html#a6833e5753ea738ff494398d7f4faa7d3',1,'flair::sensor::Gps']]],
   ['nearestformat',['nearestFormat',['http://qt-project.org/doc/qt-4.8/qaudiodeviceinfo.html#nearestFormat',0,'QAudioDeviceInfo::nearestFormat()'],['http://qt-project.org/doc/qt-4.8/qabstractvideosurface.html#nearestFormat',0,'QAbstractVideoSurface::nearestFormat()']]],
   ['needsnotifysignal',['needsNotifySignal',['http://qt-project.org/doc/qt-4.8/qdeclarativeproperty.html#needsNotifySignal',0,'QDeclarativeProperty']]],
@@ -85,5 +84,8 @@
   ['nexttitle',['nextTitle',['http://qt-project.org/doc/qt-4.8/phonon-mediacontroller.html#nextTitle',0,'Phonon::MediaController']]],
   ['nlerp',['nlerp',['http://qt-project.org/doc/qt-4.8/qquaternion.html#nlerp',0,'QQuaternion']]],
-  ['nmeaflags_5ft',['NMEAFlags_t',['../classflair_1_1sensor_1_1_gps.html#ae48a8af3f5274bebb2f70524c0a42211',1,'flair::sensor::Gps']]],
+  ['nmeaflags_5ft',['NMEAFlags_t',['../classflair_1_1sensor_1_1_nmea_gps.html#af0d7d39483f1e76e5dda4cb10dc8a967',1,'flair::sensor::NmeaGps']]],
+  ['nmeagps',['NmeaGps',['../classflair_1_1sensor_1_1_nmea_gps.html',1,'flair::sensor']]],
+  ['nmeagps',['NmeaGps',['../classflair_1_1sensor_1_1_nmea_gps.html#a969f2066d4eec611116f3b2a3e52faaf',1,'flair::sensor::NmeaGps']]],
+  ['nmeagps_2eh',['NmeaGps.h',['../_nmea_gps_8h.html',1,'']]],
   ['nodename',['nodeName',['http://qt-project.org/doc/qt-4.8/qdomnode.html#nodeName',0,'QDomNode']]],
   ['nodesbyidref',['nodesByIdref',['http://qt-project.org/doc/qt-4.8/qsimplexmlnodemodel.html#nodesByIdref',0,'QSimpleXmlNodeModel::nodesByIdref()'],['http://qt-project.org/doc/qt-4.8/qabstractxmlnodemodel.html#nodesByIdref',0,'QAbstractXmlNodeModel::nodesByIdref()']]],
@@ -103,5 +105,6 @@
   ['normalmatrix',['normalMatrix',['http://qt-project.org/doc/qt-4.8/qmatrix4x4.html#normalMatrix',0,'QMatrix4x4']]],
   ['normalvector',['normalVector',['http://qt-project.org/doc/qt-4.8/qlinef.html#normalVector',0,'QLineF']]],
-  ['north',['North',['../classflair_1_1gui_1_1_tab_widget.html#a3ec070a09776327645852225989ba31baf909a09a5e3f5713ff5c4db1ad40166f',1,'flair::gui::TabWidget']]],
+  ['north',['North',['../classflair_1_1core_1_1_gps_data.html#ae2cac37d2ddaea43014053c88790a33dab55fc587bd30c0f9b9a2f5e8960c9e80',1,'flair::core::GpsData::North()'],['../classflair_1_1gui_1_1_tab_widget.html#a3ec070a09776327645852225989ba31baf909a09a5e3f5713ff5c4db1ad40166f',1,'flair::gui::TabWidget::North()']]],
+  ['northvelocity',['NorthVelocity',['../classflair_1_1core_1_1_gps_data.html#ae2cac37d2ddaea43014053c88790a33da07766d5461b9b9278731edc5790507dd',1,'flair::core::GpsData']]],
   ['nospace',['nospace',['http://qt-project.org/doc/qt-4.8/qdebug.html#nospace',0,'QDebug']]],
   ['notation',['notation',['http://qt-project.org/doc/qt-4.8/qdoublevalidator.html#notation-prop',0,'QDoubleValidator::notation()'],['http://qt-project.org/doc/qt-4.8/qdoublevalidator.html#notation-prop',0,'QDoubleValidator::notation() const']]],
@@ -121,8 +124,8 @@
   ['notifysignal',['notifySignal',['http://qt-project.org/doc/qt-4.8/qmetaproperty.html#notifySignal',0,'QMetaProperty']]],
   ['notifysignalindex',['notifySignalIndex',['http://qt-project.org/doc/qt-4.8/qmetaproperty.html#notifySignalIndex',0,'QMetaProperty']]],
+  ['novatel',['Novatel',['../classflair_1_1sensor_1_1_novatel.html#a463b548ac4475e489a08ca323315337d',1,'flair::sensor::Novatel']]],
   ['novatel',['Novatel',['../classflair_1_1sensor_1_1_novatel.html',1,'flair::sensor']]],
-  ['novatel',['Novatel',['../classflair_1_1sensor_1_1_novatel.html#ae48c2db7ff136fac5666a2f1bfc56320',1,'flair::sensor::Novatel']]],
   ['novatel_2eh',['Novatel.h',['../_novatel_8h.html',1,'']]],
-  ['nplot',['NPlot',['../classflair_1_1sensor_1_1_gps.html#a20cda3f8f1bab2465a952eff3e3586fc',1,'flair::sensor::Gps']]],
+  ['nplot',['NPlot',['../classflair_1_1sensor_1_1_nmea_gps.html#a1f24594765a867468a1ed5554d175086',1,'flair::sensor::NmeaGps']]],
   ['nrefs',['nrefs',['http://qt-project.org/doc/qt-4.8/q3memarray.html#nrefs',0,'Q3MemArray']]],
   ['nsecselapsed',['nsecsElapsed',['http://qt-project.org/doc/qt-4.8/qelapsedtimer.html#nsecsElapsed',0,'QElapsedTimer']]],
@@ -133,4 +136,5 @@
   ['numberflags',['NumberFlags',['http://qt-project.org/doc/qt-4.8/qtextstream.html#NumberFlags-typedef',0,'QTextStream::NumberFlags()'],['http://qt-project.org/doc/qt-4.8/qtextstream.html#numberFlags',0,'QTextStream::numberFlags() const']]],
   ['numberofcolumns',['numberOfColumns',['http://qt-project.org/doc/qt-4.8/q3stylesheetitem.html#numberOfColumns',0,'Q3StyleSheetItem']]],
+  ['numberofsatellites',['NumberOfSatellites',['../classflair_1_1core_1_1_gps_data.html#ae2cac37d2ddaea43014053c88790a33daff27e35c98e589126863624faf00310b',1,'flair::core::GpsData']]],
   ['numberoptions',['numberOptions',['http://qt-project.org/doc/qt-4.8/qlocale.html#numberOptions',0,'QLocale::numberOptions() const'],['http://qt-project.org/doc/qt-4.8/qlocale.html#NumberOptions-typedef',0,'QLocale::NumberOptions()']]],
   ['numberprefix',['numberPrefix',['http://qt-project.org/doc/qt-4.8/qtextlistformat.html#numberPrefix',0,'QTextListFormat']]],
Index: trunk/doc/Flair/search/all_e.js
===================================================================
--- trunk/doc/Flair/search/all_e.js	(revision 31)
+++ trunk/doc/Flair/search/all_e.js	(revision 32)
@@ -13,5 +13,5 @@
   ['objectregisteredat',['objectRegisteredAt',['http://qt-project.org/doc/qt-4.8/qdbusconnection.html#objectRegisteredAt',0,'QDBusConnection']]],
   ['objectremoved',['objectRemoved',['http://qt-project.org/doc/qt-4.8/qdesignerformwindowinterface.html#objectRemoved',0,'QDesignerFormWindowInterface']]],
-  ['objecttype',['ObjectType',['../classflair_1_1core_1_1_object.html#a609a250ec037fbcaf8957c8f1dcbfc53',1,'flair::core::Object::ObjectType()'],['http://qt-project.org/doc/qt-4.8/qtextformat.html#objectType',0,'QTextFormat::objectType()']]],
+  ['objecttype',['objectType',['http://qt-project.org/doc/qt-4.8/qtextformat.html#objectType',0,'QTextFormat::objectType()'],['../classflair_1_1core_1_1_object.html#a609a250ec037fbcaf8957c8f1dcbfc53',1,'flair::core::Object::ObjectType()']]],
   ['officonset',['offIconSet',['http://qt-project.org/doc/qt-4.8/qtoolbutton-qt3.html#offIconSet',0,'QToolButton']]],
   ['offlinestoragedefaultquota',['offlineStorageDefaultQuota',['http://qt-project.org/doc/qt-4.8/qwebsettings.html#offlineStorageDefaultQuota',0,'QWebSettings']]],
Index: trunk/doc/Flair/search/all_f.js
===================================================================
--- trunk/doc/Flair/search/all_f.js	(revision 31)
+++ trunk/doc/Flair/search/all_f.js	(revision 32)
@@ -75,5 +75,5 @@
   ['parsecontinue',['parseContinue',['http://qt-project.org/doc/qt-4.8/qxmlsimplereader.html#parseContinue',0,'QXmlSimpleReader']]],
   ['parsecookies',['parseCookies',['http://qt-project.org/doc/qt-4.8/qnetworkcookie.html#parseCookies',0,'QNetworkCookie']]],
-  ['parseframe',['parseFrame',['../classflair_1_1sensor_1_1_gps.html#a460e922857220d5b89949e46ea02a60c',1,'flair::sensor::Gps']]],
+  ['parseframe',['parseFrame',['../classflair_1_1sensor_1_1_nmea_gps.html#a44e58183084b612c803963c2c75958e8',1,'flair::sensor::NmeaGps']]],
   ['parser',['Parser',['../classflair_1_1simulator_1_1_parser.html',1,'flair::simulator']]],
   ['parsesubnet',['parseSubnet',['http://qt-project.org/doc/qt-4.8/qhostaddress.html#parseSubnet',0,'QHostAddress']]],
@@ -113,5 +113,5 @@
   ['periodsize',['periodSize',['http://qt-project.org/doc/qt-4.8/qaudioinput.html#periodSize',0,'QAudioInput::periodSize()'],['http://qt-project.org/doc/qt-4.8/qaudiooutput.html#periodSize',0,'QAudioOutput::periodSize()']]],
   ['permission',['permission',['http://qt-project.org/doc/qt-4.8/qfileinfo.html#permission',0,'QFileInfo::permission(QFlags&lt; QFile::Permission &gt; permissions) const'],['http://qt-project.org/doc/qt-4.8/qfileinfo-qt3.html#permission-2',0,'QFileInfo::permission(QFlags&lt; QFileInfo::Permission &gt; permissions) const']]],
-  ['permissions',['permissions',['http://qt-project.org/doc/qt-4.8/qurlinfo.html#permissions',0,'QUrlInfo::permissions()'],['http://qt-project.org/doc/qt-4.8/qfilesystemmodel.html#permissions',0,'QFileSystemModel::permissions()'],['http://qt-project.org/doc/qt-4.8/qfile.html#permissions',0,'QFile::permissions() const'],['http://qt-project.org/doc/qt-4.8/qfile.html#permissions-2',0,'QFile::permissions(const QString &amp;fileName)'],['http://qt-project.org/doc/qt-4.8/qfileinfo.html#permissions',0,'QFileInfo::permissions()'],['http://qt-project.org/doc/qt-4.8/qfile.html#Permissions-typedef',0,'QFile::Permissions()']]],
+  ['permissions',['Permissions',['http://qt-project.org/doc/qt-4.8/qfile.html#Permissions-typedef',0,'QFile::Permissions()'],['http://qt-project.org/doc/qt-4.8/qurlinfo.html#permissions',0,'QUrlInfo::permissions()'],['http://qt-project.org/doc/qt-4.8/qfilesystemmodel.html#permissions',0,'QFileSystemModel::permissions()'],['http://qt-project.org/doc/qt-4.8/qfile.html#permissions',0,'QFile::permissions() const'],['http://qt-project.org/doc/qt-4.8/qfile.html#permissions-2',0,'QFile::permissions(const QString &amp;fileName)'],['http://qt-project.org/doc/qt-4.8/qfileinfo.html#permissions',0,'QFileInfo::permissions()']]],
   ['permissionspec',['PermissionSpec',['http://qt-project.org/doc/qt-4.8/qfile.html#PermissionSpec-typedef',0,'QFile::PermissionSpec()'],['http://qt-project.org/doc/qt-4.8/qfileinfo.html#PermissionSpec-typedef',0,'QFileInfo::PermissionSpec()']]],
   ['persistentindexlist',['persistentIndexList',['http://qt-project.org/doc/qt-4.8/qabstractitemmodel.html#persistentIndexList',0,'QAbstractItemModel']]],
@@ -122,5 +122,5 @@
   ['physicalheight',['physicalHeight',['http://qt-project.org/doc/qt-4.8/qscreen.html#physicalHeight',0,'QScreen']]],
   ['physicalwidth',['physicalWidth',['http://qt-project.org/doc/qt-4.8/qscreen.html#physicalWidth',0,'QScreen']]],
-  ['picture',['picture',['http://qt-project.org/doc/qt-4.8/q3iconviewitem.html#picture',0,'Q3IconViewItem::picture()'],['http://qt-project.org/doc/qt-4.8/qpictureio.html#picture',0,'QPictureIO::picture()'],['http://qt-project.org/doc/qt-4.8/qlabel.html#picture',0,'QLabel::picture()'],['../classflair_1_1gui_1_1_picture.html#a6ee56525b149244b23bf84a3bf224124',1,'flair::gui::Picture::Picture()']]],
+  ['picture',['Picture',['../classflair_1_1gui_1_1_picture.html#a6ee56525b149244b23bf84a3bf224124',1,'flair::gui::Picture::Picture()'],['http://qt-project.org/doc/qt-4.8/q3iconviewitem.html#picture',0,'Q3IconViewItem::picture()'],['http://qt-project.org/doc/qt-4.8/qpictureio.html#picture',0,'QPictureIO::picture()'],['http://qt-project.org/doc/qt-4.8/qlabel.html#picture',0,'QLabel::picture()']]],
   ['picture',['Picture',['../classflair_1_1gui_1_1_picture.html',1,'flair::gui']]],
   ['picture_2eh',['Picture.h',['../_picture_8h.html',1,'']]],
@@ -215,5 +215,5 @@
   ['postdelayedevent',['postDelayedEvent',['http://qt-project.org/doc/qt-4.8/qstatemachine.html#postDelayedEvent',0,'QStateMachine']]],
   ['postevent',['postEvent',['http://qt-project.org/doc/qt-4.8/qcoreapplication.html#postEvent',0,'QCoreApplication::postEvent(QObject *receiver, QEvent *event)'],['http://qt-project.org/doc/qt-4.8/qcoreapplication.html#postEvent-2',0,'QCoreApplication::postEvent(QObject *receiver, QEvent *event, int priority)'],['http://qt-project.org/doc/qt-4.8/qstatemachine.html#postEvent',0,'QStateMachine::postEvent()']]],
-  ['pps',['Pps',['../classflair_1_1sensor_1_1_gps.html#a3369bac80ec5316e09a3de7e5ba03c26abd9768d943ecb6ddb75aeffea3bfd829',1,'flair::sensor::Gps']]],
+  ['pps',['Pps',['../classflair_1_1core_1_1_gps_data.html#afb181594acc39c15c07e5ed5801021b6abd9768d943ecb6ddb75aeffea3bfd829',1,'flair::core::GpsData']]],
   ['precision',['precision',['http://qt-project.org/doc/qt-4.8/qsqlfield.html#precision',0,'QSqlField::precision()'],['http://qt-project.org/doc/qt-4.8/qtextstream-qt3.html#precision',0,'QTextStream::precision()'],['http://qt-project.org/doc/qt-4.8/q3sqlfieldinfo.html#precision',0,'Q3SqlFieldInfo::precision()'],['http://qt-project.org/doc/qt-4.8/q3textstream.html#precision',0,'Q3TextStream::precision() const'],['http://qt-project.org/doc/qt-4.8/q3textstream.html#precision-2',0,'Q3TextStream::precision(int p)']]],
   ['preeditareaposition',['preeditAreaPosition',['http://qt-project.org/doc/qt-4.8/qtextlayout.html#preeditAreaPosition',0,'QTextLayout']]],
Index: trunk/doc/Flair/search/classes_13.js
===================================================================
--- trunk/doc/Flair/search/classes_13.js	(revision 31)
+++ trunk/doc/Flair/search/classes_13.js	(revision 32)
@@ -1,6 +1,6 @@
 var searchData=
 [
+  ['tab',['Tab',['../classflair_1_1gui_1_1_tab.html',1,'flair::gui']]],
   ['tab',['Tab',['http://qt-project.org/doc/qt-4.8/qtextoption-tab.html',0,'QTextOption']]],
-  ['tab',['Tab',['../classflair_1_1gui_1_1_tab.html',1,'flair::gui']]],
   ['tabwidget',['TabWidget',['../classflair_1_1gui_1_1_tab_widget.html',1,'flair::gui']]],
   ['targetcontroller',['TargetController',['../classflair_1_1sensor_1_1_target_controller.html',1,'flair::sensor']]],
@@ -12,9 +12,9 @@
   ['trajectorygenerator1d',['TrajectoryGenerator1D',['../classflair_1_1filter_1_1_trajectory_generator1_d.html',1,'flair::filter']]],
   ['trajectorygenerator2dcircle',['TrajectoryGenerator2DCircle',['../classflair_1_1filter_1_1_trajectory_generator2_d_circle.html',1,'flair::filter']]],
-  ['type',['Type',['../classflair_1_1core_1_1_ahrs_data_1_1_type.html',1,'flair::core::AhrsData']]],
-  ['type',['Type',['../classflair_1_1core_1_1_gps_data_1_1_type.html',1,'flair::core::GpsData']]],
+  ['type',['Type',['../classflair_1_1core_1_1cvimage_1_1_type.html',1,'flair::core::cvimage']]],
+  ['type',['Type',['../classflair_1_1core_1_1_geo_coordinate_1_1_type.html',1,'flair::core::GeoCoordinate']]],
   ['type',['Type',['../classflair_1_1core_1_1_imu_data_1_1_type.html',1,'flair::core::ImuData']]],
   ['type',['Type',['../classflair_1_1core_1_1cvmatrix_1_1_type.html',1,'flair::core::cvmatrix']]],
-  ['type',['Type',['../classflair_1_1core_1_1_geo_coordinate_1_1_type.html',1,'flair::core::GeoCoordinate']]],
-  ['type',['Type',['../classflair_1_1core_1_1cvimage_1_1_type.html',1,'flair::core::cvimage']]]
+  ['type',['Type',['../classflair_1_1core_1_1_ahrs_data_1_1_type.html',1,'flair::core::AhrsData']]],
+  ['type',['Type',['../classflair_1_1core_1_1_gps_data_1_1_type.html',1,'flair::core::GpsData']]]
 ];
Index: trunk/doc/Flair/search/classes_14.js
===================================================================
--- trunk/doc/Flair/search/classes_14.js	(revision 31)
+++ trunk/doc/Flair/search/classes_14.js	(revision 32)
@@ -9,4 +9,5 @@
   ['unix_5fserialport',['Unix_SerialPort',['../classflair_1_1core_1_1_unix___serial_port.html',1,'flair::core']]],
   ['unmapextensionoption',['UnMapExtensionOption',['http://qt-project.org/doc/qt-4.8/qabstractfileengine-unmapextensionoption.html',0,'QAbstractFileEngine']]],
+  ['unsignedintegertype',['UnsignedIntegerType',['../classflair_1_1core_1_1_unsigned_integer_type.html',1,'flair::core']]],
   ['usrangefinder',['UsRangeFinder',['../classflair_1_1sensor_1_1_us_range_finder.html',1,'flair::sensor']]]
 ];
Index: trunk/doc/Flair/search/classes_3.js
===================================================================
--- trunk/doc/Flair/search/classes_3.js	(revision 31)
+++ trunk/doc/Flair/search/classes_3.js	(revision 32)
@@ -9,4 +9,5 @@
   ['discretetimevariable_3c_20flair_3a_3asimulator_3a_3amodel_3a_3asimu_5fstate_2c_203_20_3e',['DiscreteTimeVariable&lt; flair::simulator::Model::simu_state, 3 &gt;',['../classflair_1_1simulator_1_1_discrete_time_variable.html',1,'flair::simulator']]],
   ['doublespinbox',['DoubleSpinBox',['../classflair_1_1gui_1_1_double_spin_box.html',1,'flair::gui']]],
+  ['doubletype',['DoubleType',['../classflair_1_1core_1_1_double_type.html',1,'flair::core']]],
   ['dummytype',['DummyType',['../classflair_1_1core_1_1_dummy_type.html',1,'flair::core']]]
 ];
Index: trunk/doc/Flair/search/classes_6.js
===================================================================
--- trunk/doc/Flair/search/classes_6.js	(revision 31)
+++ trunk/doc/Flair/search/classes_6.js	(revision 32)
@@ -3,5 +3,4 @@
   ['geocoordinate',['GeoCoordinate',['../classflair_1_1core_1_1_geo_coordinate.html',1,'flair::core']]],
   ['glyphmetrics',['GlyphMetrics',['http://qt-project.org/doc/qt-4.8/qabstractfontengine-glyphmetrics.html',0,'QAbstractFontEngine']]],
-  ['gps',['Gps',['../classflair_1_1sensor_1_1_gps.html',1,'flair::sensor']]],
   ['gpsdata',['GpsData',['../classflair_1_1core_1_1_gps_data.html',1,'flair::core']]],
   ['gridlayout',['GridLayout',['../classflair_1_1gui_1_1_grid_layout.html',1,'flair::gui']]],
Index: trunk/doc/Flair/search/classes_d.js
===================================================================
--- trunk/doc/Flair/search/classes_d.js	(revision 31)
+++ trunk/doc/Flair/search/classes_d.js	(revision 32)
@@ -2,4 +2,5 @@
 [
   ['nestedsat',['NestedSat',['../classflair_1_1filter_1_1_nested_sat.html',1,'flair::filter']]],
+  ['nmeagps',['NmeaGps',['../classflair_1_1sensor_1_1_nmea_gps.html',1,'flair::sensor']]],
   ['notifier',['Notifier',['http://qt-project.org/doc/qt-4.8/phonon-backendcapabilities-notifier.html',0,'Phonon::BackendCapabilities']]],
   ['novatel',['Novatel',['../classflair_1_1sensor_1_1_novatel.html',1,'flair::sensor']]],
